[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.ExtractName

Extract the name part of a string

## Declaration

Source position: classesh.inc line 725

`public function TStrings.ExtractName(`
`const S: string`
`):string;`

## Description

ExtractName returns the name part (the part before the NameValueSeparator character) of the string. If the character is not present, an empty string is returned. The resulting string is not trimmed, it can end or start with spaces.

## See also

NameValueSeparator |  | Value of the character used to separate name,value pairs